{% set imageProfile = asset('build/images/user_placeholder.png')  %}

{% if user.imageSocialUrl is defined and user.imageSocialUrl is not empty %}
    {% set imageProfile = user.imageSocialUrl %}
{% endif %}

{% if user.imageId is defined and user.imageId is not empty and user.imageHash is defined and user.imageHash is not empty %}
    {% set imageProfile = url('public_get_medium_picture', {'image_id':user.imageId, 'hash':user.imageHash}) %}
{% endif %}

<img data-src="{{ imageProfile }}" alt="{{ alt is defined ? alt : 'User Image' }}"
     width="{{ w is defined ? w : 100 }}" height="{{ h is defined ? h : 100 }}" class='lazyload rounded-circle {{ extraClass is defined ? extraClass }}'>